# making pngs once more

cd /home/hollan/light/PV

D=$1
M=`date "+%y%m" -d $D`

cd $M

 if [ -a $D.txt.full.gz ]
 then 
  gzip -d $D.txt.full.gz 
 fi

 if [ -a $D.txt.full ]
 then
  cat $D.txt.full | ~/bin/disc_samT ${D}_m.txt | \
  sed -r 's/([0-9]+) ([.0-9]+)([1-9])0+ /\1 \2\3 / ; s/ 0\.([0-9].*)/ .\1/' >$D.txt 
  if [ -a $D.txt.gz ]
  then
   rm $D.txt.gz
  fi 
 fi 

 if [ -a ${D}a.txt ]
 then
  for F in ${D}[a-d].txt
  do
   cd ..
   ln -s $M/$F ./
   cd $M
  done
 fi

cd ..

if [ -f $M/$D.txt ]
then
 ln -s $M/$D.txt ./
fi
if [ -f $M/${D}_m.txt ]
then
 ln -s $M/${D}_m.txt ./
fi
ln -s $M/${D}d.txt ./


LC_TIME=C

if [ -f $D.txt ]
then

HH=`sed -rn '1{s/.* 0*([1-2]*[0-9]):([0-9]{2}):([0-9]{2}) .*/\1/p}' $D.txt`
MM=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\2/p}' $D.txt`
SS=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\3/p}' $D.txt`

if (( $HH \< 12 ))
then
 HH=`calc -d "($HH + 24)"`
fi

else
N=.N
HH=12
MM=0
SS=0
fi

if [ -f ${D}_m.txt ]
then
 echo 'meteo present'
else
 N=.M
fi
 
for F in finalRlarge$N.sh final_large_m$N.sh final_lar_mpw$N.sh \
 finalRsmall$N.sh final_small_m$N.sh
do
 nbgnp=`sed -rn '/ night_ba/{s/.*( night_ba[a-z_]+)\.gnp.*/\1/p}' $F`
# sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/" $nbgnp.gnp > /tmp/U.gnp
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/
         s/f\(x\)/f(x,t)/ 
	 s/c\*/(c-0.05*((24-t)\/20))*/
	 s/3\.0\)/3.0,\$3)/ 
	 " $nbgnp.gnp > /tmp/U.gnp
 sed -r "/ night_ba/{s| (night_ba[a-z_]+)\.gnp | /tmp/U.gnp |}"  $F > /tmp/$F
 chmod +x /tmp/$F  
 /tmp/$F $D 
done

for F in final_tiny_mpw$N.sh
do
 nbgnp=`sed -rn '/ night_ba_/{s/.*( night_ba_[a-z_]+)\.gnp.*/\1/p}' $F`
 nbgn=`sed -rn '/ night_basic/{s/.*( night_basic)\.gnp.*/\1/p}' $F`
# sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/" $nbgnp.gnp > /tmp/U.gnp
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/
         s/f\(x\)/f(x,t)/ 
	 s/c\*/(c-0.05*((24-t)\/20))*/
	 s/3\.0\)/3.0,\$3)/ 
	 " $nbgnp.gnp > /tmp/U.gnp
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/" $nbgn.gnp > /tmp/UU.gnp
 sed -r "/ night_ba_/{s| (night_ba_[a-z_]+)\.gnp | /tmp/U.gnp |}
         / night_basic/{s| (night_basic)\.gnp | /tmp/UU.gnp |}
	 "  $F > /tmp/$F
 chmod +x /tmp/$F  
 /tmp/$F $D 
done

scp $D.png ${D}_m.png ${D}_mpw.png jhollan@amper:www/light/luminance/PV/$M

mv $D*.png $M

cd small
scp $D.png ${D}_m.png jhollan@amper:www/light/luminance/PV/small

cd ../tiny
ln -s ${D}.png ${D}_m.png
scp ${D}_m.png jhollan@amper:www/light/luminance/PV/tiny

cd ..

rm ${D}d.txt
rm $D.txt
rm ${D}_m.txt

cd $M
gzip $D.txt
gzip $D.txt.full
cd ..
